#require(Hmisc) # for function errbar()

f <- read.table("RSAvsK_AminoAcid_2species.txt", header = T)
d <- data.frame( RSA=c(f[,2]), K=c(f[,4])  )
attach(d)

pdf( "RSAvsK.pdf", width=4.5, height=4, useDingbats=FALSE )
par( mai=c(0.65, 0.65, 0.1, 0.05), mgp=c(2, 0.5, 0), tck=-0.03 )
plot( RSA, K, type= 'p', pch=20, col='black', axes=FALSE, ylim=c( 0.0 , 0.1 ), xlab='RSA', ylab='K' )
abline( lm(K~RSA), col='grey60', lty=2)

axis( 1, at=c( 0.0 , 0.1 , 0.2 , 0.3 , 0.4 , 0.5 , 0.6 , 0.7 , 0.8 , 0.9 , 1.0 ), labels = c( '0.0' , '0.1' , '0.2' , '0.3' , '0.4' , '0.5' , '0.6' , '0.7' , '0.8' , '0.9' , '1.0' ), cex.axis = .95 )
#axis( 2, at=c( 0.0 , 0.01 , 0.02 , 0.03 , 0.04 , 0.05 , 0.06 , 0.07 , 0.08 , 0.09 , 0.1, 0.11 ), labels = c( "0.0" , "0.01" , "0.02" , "0.03" , "0.04" , "0.05" , "0.06" , "0.07" , "0.08" , "0.9" , "0.10", "0.11" ) )
axis( 2, at=c( 0.0, 0.02, 0.04, 0.06, 0.08, 0.10 ), labels = c( "0.0" ,  "0.02" , "0.04" ,  "0.06" , "0.08" , "0.10" ), cex.axis = .95 )
legend( "topleft", c( expression(paste(rho, ">0.99")), expression(paste(italic(P), "=4.1", "x", 10^-6)) ), pch=c(NA_integer_), col=c('black','black'), bty='n' )


#detach(d)
dev.off()