require(Hmisc) 
pdf( "Classical_EvolRate.pdf", width=4.5, height=4, useDingbats=FALSE )
par( mai=c(0.65, 0.65, 0.1, 0.05), mgp=c(2, 0.5, 0), tck=-0.03 )


f <- read.table("classical_evol_ALL.txt", header = F)
d <- data.frame( preRSA=c(f[,1]), exponential=c(f[,2]), logarithmic=c(f[,3]), linear=c(f[,4]) )
attach(d)
RSA <- preRSA/1000
short_RSA <- RSA[1:750]

par( mai=c(0.65, 0.65, 0.1, 0.05), mgp=c(2, 0.5, 0), tck=-0.03 )
plot( RSA, exponential, type = 'l', col='black', axes=FALSE, ylim=c( 10e-90 , 1.0 ), xlab='RSA', ylab='K', log="y")
lines(RSA, logarithmic, type = 'l')
lines(short_RSA, linear[1:750], type= 'l')
axis( 1, at=c( 0.0 , 0.1 , 0.2 , 0.3 , 0.4 , 0.5 , 0.6 , 0.7 , 0.8 , 0.9 , 1.0 ), labels = c( "0.0" , "0.1" , "0.2" , "0.3" , "0.4" , "0.5" , "0.6" , "0.7" , "0.8" , "0.9" , "1.0" ), cex.axis = .95 )
#axis( 1, at=c( 0.0 , 0.1 , 0.2 , 0.3 , 0.4 , 0.5 , 0.6 , 0.7 , 0.8 , 0.9 , 1.0 ), labels = c( '0.0' , '0.1' , '0.2' , '0.3' , '0.4' , '0.5' , '0.6' , '0.7' , '0.8' , '0.9' , '1.0' ) )
axis( 2, at=c(10e-90, 10e-75, 10e-60, 10e-45, 10e-30, 10e-15, 1), c(expression(10^-90), expression(10^-75), expression(10^-60), expression(10^-45), expression(10^-30), expression(10^-15), ' 1.0'), cex.axis = .95 ) #, las=2 )
#axis( 2, at=c(10e-90, 10e-60, 10e-30,1), c(expression(10^-90), expression(10^-60), expression(10^-30), '1') ) #, las=2 )
detach(d)
#text( c( c(.2, 10e-30), c(.4,10e-45), c(.6,10e-60) ), c("Linear", "Exponential", "Logarithmic") )
text( .4, 10e-30, "Linear" )
text( .87, 10e-37, "Logarithmic" )
text( .73, 10e-60, "Exponential" )



dev.off()