
pdf( "RSA_vs_lambda_1GV3A.pdf", width=4.5, height=4.5, useDingbats=FALSE )
par( mai=c(0.65, 0.65, 0.1, 0.05), mgp=c(2, 0.5, 0), tck=-0.03 )


betas <- data.frame(read.table( "betas.txt", header = TRUE ))
RSA <- c( 0.05 , 0.15 , 0.25 , 0.35 , 0.45 , 0.55 , 0.65 , 0.75 , 0.85 , 0.95 ) # relative solvent accessibility
attach(betas)



i<-90
lambda <- betas[i,2:11]
plot( RSA, lambda, type= 'p', pch=20, col='black', xlim=c(0.0, 1.0), ylim=c(0,4),axes=FALSE, xlab='RSA', ylab=expression(lambda))
#abline( lm(unlist(lambda)~RSA), col='grey60', lty=2)
lm(unlist(lambda)~RSA)
#mtext(expression(bold("A")), side=2, las=1, at=2.23, line = 2.3, cex=1.2)
axis( 1, at=c(0.0, 0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1.0), c('0.0', '0.1', '0.2', '0.3', '0.4', '0.5', '0.6', '0.7', '0.8', '0.9', '1.0'), cex.axis=.95 )
axis( 2, at=c(0,1,2,3,4))#, c('0.2', '0.6', '1.0', '1.4', '1.8', '2.2'), cex.axis=.95)
legend( "topright", c("1GV3A", expression(paste(rho, "=-0.85, ", italic(P), "=0.004")) ), pch=c(NA_integer_), col=c('black','black'), bty='n' )
dev.off()
detach(betas)